aboutsummaryrefslogtreecommitdiff
path: root/binary_tarball/content/toggle-settings.sh
diff options
context:
space:
mode:
authorohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-29 00:18:58 +0100
committerohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-29 00:18:58 +0100
commitf25780603396b1adc27524b9c165106d48c9631d (patch)
tree581346d95ab05b6aa40e39a1d00009899fafae66 /binary_tarball/content/toggle-settings.sh
parentoh ubuntu..: xz is in xz-utils (diff)
downloadlibrewolf-linux-f25780603396b1adc27524b9c165106d48c9631d.tar.gz
librewolf-linux-f25780603396b1adc27524b9c165106d48c9631d.tar.bz2
librewolf-linux-f25780603396b1adc27524b9c165106d48c9631d.zip
several small script fixes
Diffstat (limited to 'binary_tarball/content/toggle-settings.sh')
-rw-r--r--binary_tarball/content/toggle-settings.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/binary_tarball/content/toggle-settings.sh b/binary_tarball/content/toggle-settings.sh
new file mode 100644
index 0000000..ff46bde
--- /dev/null
+++ b/binary_tarball/content/toggle-settings.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+# Exit script with a non-zero exit code if:
+# - any command fails (-e | --errexit)
+# - any variable is unset (-u | --nounset)
+# - a part of a piped sequence fails (-o pipefail)
+set -euo pipefail
+
+SCRIPT_FOLDER=$(realpath $(dirname $0));
+
+# Enable settings ------------------------------------------------------------------------------------------
+if [[ "${1}" = "--enable" ]]; then
+ mv "${SCRIPT_FOLDER}/[DISABLED] local-settings.js" "${SCRIPT_FOLDER}/local-settings.js";
+ mv "${SCRIPT_FOLDER}/[DISABLED] policies.json" "${SCRIPT_FOLDER}/policies.json";
+ mv "${SCRIPT_FOLDER}/[DISABLED] librewolf.cfg" "${SCRIPT_FOLDER}/librewolf.cfg";
+# Disable settings ------------------------------------------------------------------------------------------
+elif [[ "${1}" = "--disable" ]]; then
+ mv "${SCRIPT_FOLDER}/local-settings.js" "${SCRIPT_FOLDER}/[DISABLED] local-settings.js";
+ mv "${SCRIPT_FOLDER}/policies.json" "${SCRIPT_FOLDER}/[DISABLED] policies.json";
+ mv "${SCRIPT_FOLDER}/librewolf.cfg" "${SCRIPT_FOLDER}/[DISABLED] librewolf.cfg";
+fi
bgstack15